Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Storable CPAN distribution.

Report information
The Basics
Id: 78586
Status: open
Priority: 0/
Queue: Storable

People
Owner: Nobody in particular
Requestors: rjbs [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: (no value)
Fixed in: (no value)

Attachments


Subject: INSTALLDIRS should be site starting at 5.12.0
Download (untitled) / with headers
text/plain 118b
perl 5.12.0 reordered @INC sensibly so that site comes first. Installing from CPAN should install to site. -- rjbs
Download (untitled) / with headers
text/plain 575b
Hello, On Thu Jul 26 10:21:58 2012, RJBS wrote: Show quoted text
> perl 5.12.0 reordered @INC sensibly so that site comes first. > Installing from CPAN should install > to site.
I attached a patch that does this. However, it sets INSTALLDIRS to 'perl' only if it is 5.7 or above (the existing check) or if it is below 5.11, as noted on https://github.com/rjbs/perltodo/blob/master/Supply-Patches-to-Fix-Install-Location.mkdn The relevant perldelta entry for 5.11 seems to be https://metacpan.org/module/JESSE/perl-5.11.0/pod/perl5110delta.pod#INC-reorganization regards, Robert Sedlacek
Subject: install_to_site_post_5011.patch
--- Makefile.PL.orig 2012-09-23 00:30:02.955378824 +0200 +++ Makefile.PL 2012-09-23 00:30:35.907542233 +0200 @@ -14,7 +14,7 @@ # We now ship this in t/ # PREREQ_PM => { 'Test::More' => '0.41' }, PREREQ_PM => { XSLoader => 0 }, - INSTALLDIRS => $] >= 5.007 ? 'perl' : 'site', + INSTALLDIRS => ($] >= 5.007 and $] < 5.011) ? 'perl' : 'site', VERSION_FROM => 'Storable.pm', ($ExtUtils::MakeMaker::VERSION > 6.45 ? (META_MERGE => { resources =>
This was fixed with 2.47 (core only) and is on cpan since 2.51.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.